Package Details: motrix v1.5.15-1

Git Clone URL: https://aur.archlinux.org/motrix.git (read-only, click to copy)
Package Base: motrix
Description: A full-featured download manager (release version)
Upstream URL: https://github.com/agalwood/Motrix
Keywords: aria2 motrix vue
Licenses: MIT
Conflicts: motrix-git
Submitter: weearc
Maintainer: weearc
Last Packager: weearc
Votes: 7
Popularity: 0.001136
First Submitted: 2019-01-17 19:34
Last Updated: 2020-06-14 09:53

Pinned Comments

weearc commented on 2020-06-04 10:14

======================NOTICE=========================
If you installed motrix from Arch Linux CN repo and got error, please to go https://github.com/archlinuxcn/repo
to complain about it or send an email to hotea.
The version of motrix in archlinuxcn is git version.

Your should install RELEASE version by using:

yaourt -S aur/motrix

================================================================

Latest Comments

« First ‹ Previous 1 2 3 Next › Last »

P-McNewHold commented on 2019-09-03 11:51

0 info it worked if it ends with ok 1 verbose cli [ '/usr/bin/node', '/usr/bin/npm', 'run', 'pack' ] 2 info using npm@6.11.2 3 info using node@v12.9.1 4 verbose run-script [ 'prepack', 'pack', 'postpack' ] 5 info lifecycle Motrix@1.4.1~prepack: Motrix@1.4.1 6 info lifecycle Motrix@1.4.1~pack: Motrix@1.4.1 7 verbose lifecycle Motrix@1.4.1~pack: unsafe-perm in lifecycle true 8 verbose lifecycle Motrix@1.4.1~pack: PATH: /usr/lib/node_modules/npm/node_modules/npm-lifecycle/node-gyp-bin:/home/pm/.cache/yay/motrix/src/Motrix-1.4.1/node_modules/.bin:/home/pm/.bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/opt/cuda/bin:/usr/lib/jvm/default/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/var/lib/snapd/snap/bin 9 verbose lifecycle Motrix@1.4.1~pack: CWD: /home/pm/.cache/yay/motrix/src/Motrix-1.4.1 10 silly lifecycle Motrix@1.4.1~pack: Args: [ '-c', 'npm run pack:main && npm run pack:renderer' ] 11 silly lifecycle Motrix@1.4.1~pack: Returned: code: 2 signal: null 12 info lifecycle Motrix@1.4.1~pack: Failed to exec pack script 13 verbose stack Error: Motrix@1.4.1 pack: npm run pack:main && npm run pack:renderer 13 verbose stack Exit status 2 13 verbose stack at EventEmitter.<anonymous> (/usr/lib/node_modules/npm/node_modules/npm-lifecycle/index.js:332:16) 13 verbose stack at EventEmitter.emit (events.js:209:13) 13 verbose stack at ChildProcess.<anonymous> (/usr/lib/node_modules/npm/node_modules/npm-lifecycle/lib/spawn.js:55:14) 13 verbose stack at ChildProcess.emit (events.js:209:13) 13 verbose stack at maybeClose (internal/child_process.js:1021:16) 13 verbose stack at Process.ChildProcess._handle.onexit (internal/child_process.js:283:5) 14 verbose pkgid Motrix@1.4.1 15 verbose cwd /home/pm/.cache/yay/motrix/src/Motrix-1.4.1 16 verbose Linux 5.2.11-arch1-1-ARCH 17 verbose argv "/usr/bin/node" "/usr/bin/npm" "run" "pack" 18 verbose node v12.9.1 19 verbose npm v6.11.2 20 error code ELIFECYCLE 21 error errno 2 22 error Motrix@1.4.1 pack: npm run pack:main && npm run pack:renderer 22 error Exit status 2 23 error Failed at the Motrix@1.4.1 pack script. 23 error This is probably not a problem with npm. There is likely additional logging output above. 24 verbose exit [ 2, true ]

Fans commented on 2019-09-01 01:46

npm WARN optional SKIPPING OPTIONAL DEPENDENCY: fsevents@1.2.9 (node_modules/fsevents): npm WARN notsup SKIPPING OPTIONAL DEPENDENCY: Unsupported platform for fsevents@1.2.9: wanted {"os":"darwin","arch":"any"} (current: {"os":"linux","arch":"x64"})

npm ERR! code ELIFECYCLE npm ERR! errno 1 npm ERR! electron@4.2.4 postinstall: node install.js npm ERR! Exit status 1 npm ERR! npm ERR! Failed at the electron@4.2.4 postinstall script. npm ERR! This is probably not a problem with npm. There is likely additional logging output above.

npm ERR! A complete log of this run can be found in: npm ERR! /home/impressme/.cache/yay/motrix/src/npm_cache/_logs/2019-09-01T01_41_06_128Z-debug.log ==> 错误: 在 build() 中发生一个错误。 正在放弃... Error making: motrix

weearc commented on 2019-08-12 05:37

@dctxmei 现将讨论中的PKGBUILD样本拿来使用了,个人还在尝试理解那个写法...

dctxmei commented on 2019-08-05 23:19

@weearc 這裏有一些關於此 Package 的討論:

https://github.com/archlinuxcn/repo/pull/1266

希望能夠據此進行改進 :)

weearc commented on 2019-05-09 03:44

@nuton v1.3.8先不会进行推送,目前看比v1.3.7有点问题,如果想使用最新开发版本请安装motrix-git

weearc commented on 2019-04-04 08:43

@dianlujitao 已经进行修正

dianlujitao commented on 2019-03-21 04:15

麻烦在.desktop中添加Categories=Network;FileTransfer;以便图标自动归类。另外,启动脚本开头的#!/bin/bash重复了

weearc commented on 2019-02-16 11:13

motrix目前有些问题,版本回滚到v1.1.1

weearc commented on 2019-02-16 04:13

@zybrc 已经修正PKGBUILD,之后直接在原PKGBUILD进行修改

zybrc commented on 2019-02-14 05:51

ERROR in ./src/renderer/pages/index/main.js                                                                                                                                                                                         
Module not found: Error: Can't resolve '@panter/vue-i18next' in '/tmp/yaourt-tmp-zyb/aur-motrix/src/Motrix/src/renderer/pages/index' @ ./src/renderer/pages/index/main.js 7:0-45 33:10-20 34:18-28

ERROR in ./src/renderer/components/Locale/index.js                                                                                                                                                                                  
Module not found: Error: Can't resolve 'i18next' in '/tmp/yaourt-tmp-zyb/aur-motrix/src/Motrix/src/renderer/components/Locale'                                                                                                                                                                                      
 @ ./src/renderer/components/Locale/index.js 3:0-30 15:4-11 24:6-13 35:13-20                                                                                                                                                        
 @ ./src/renderer/pages/index/main.js

ERROR in chunk index [entry]                                                                                                                                                                                
index.js                                                                                                                                                                                                                            
/tmp/yaourt-tmp-zyb/aur-motrix/src/Motrix/node_modules/babel-loader/lib/index.js!/tmp/yaourt-tmp-zyb/aur-motrix/src/Motrix/node_modules/eslint-loader/index.js??ref--0!/tmp/yaourt-tmp-zyb/aur-motrix/src/Motrix/src/renderer/pages/index/main.js cfdbbdb1b47f069de5aae85a43a4ac51                                                                                                                                                                                                  
Unexpected token (35:18)                                                                                                                                                                                                            
|                                                                                                                                                                                                                                   
|   __WEBPACK_MODULE_REFERENCE__4_64656661756c74__.use(!(function webpackMissingModule() { var e = new Error("Cannot find module '@panter/vue-i18next'"); e.code = 'MODULE_NOT_FOUND'; throw e; }()));                                                                                                                                                                                              
|   var _i18n = new !(function webpackMissingModule() { var e = new Error("Cannot find module '@panter/vue-i18next'"); e.code = 'MODULE_NOT_FOUND'; throw e; }())(localeManager.getI18n());                                                                                                                                                                                                         
|   __WEBPACK_MODULE_REFERENCE__4_64656661756c74__.use(__WEBPACK_MODULE_REFERENCE__2_64656661756c74__, {                                                                                                                                                                                                            
|     size: 'mini',

ERROR failed to build renderer process


分割线

已经找到原因,最新版本包依赖增加了,这个只是v1.0.10版本,需要在包编译前中增加git分支切换,切换到tag v1.0.10